@mixin h1-title(
  $h1Color: $color_primary,
  $h1Weight: 800,
  $h1Padding: 0px 20px 20px 20px,
  $h1Size: $font_size-30,
) {
  padding: $h1Padding;
  text-align: center;
  color: $h1Color;
  font-weight: $h1Weight;
  font-size: $h1Size;

  @media only screen and (min-width: 768px) {
    font-size: 30px;
  }
}

@mixin h2-title(
  $h2Color: $color_primary,
  $h2Weight: 800,
  $h2Padding: 0px 20px 20px 20px,
  $h2Size: $font_size-30,
) {
  padding: $h2Padding;
  text-align: center;
  color: $h2Color;
  font-weight: $h2Weight;
  font-size: $h2Size;

  @media only screen and (min-width: 768px) {
    font-size: 30px;
  }
}

@mixin h3-title(
  $h3Color: $color_primary,
  $h3Weight: 800,
  $h3Padding: 0px 20px 20px 20px,
  $h3Size: $font_size-25
) {
  padding: $h3Padding;
  text-align: center;
  color: $h3Color;
  font-weight: $h3Weight;
  font-size: $h3Size;
  text-shadow: 1px 1px 7px $color_black_t4;

  @media only screen and (min-width: 768px) {
    font-size: 25px;
  }
}
